development/stgit: Updated for version 0.15

This commit is contained in:
Carlos Corbacho 2010-05-13 00:25:38 +02:00 committed by Robby Workman
parent 8710ab8858
commit e19c114290
2 changed files with 42 additions and 23 deletions

View file

@ -2,7 +2,7 @@
# SlackBuild for StGIT (Stacked GIT)
# Copyright 2007-2008 Carlos Corbacho <carlos@strangeworlds.co.uk>
# Copyright 2007-2009 Carlos Corbacho <carlos@strangeworlds.co.uk>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@ -23,8 +23,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=stgit
VERSION=${VERSION:-0.14.3}
ARCH=noarch
VERSION=${VERSION:-0.15}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@ -33,12 +33,14 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-/tmp}
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.gz || exit 1
cd $PKGNAM-$VERSION || exit 1
tar xvf $CWD/$PKGNAM-$VERSION.tar.gz
cd $PKGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@ -46,25 +48,40 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
python setup.py \
install \
--prefix=/usr \
--root="$PKG" \
|| exit 1
make prefix=/usr mandir=/usr/man all doc
make prefix=/usr mandir=/usr/man DESTDIR=$PKG install install-doc
rm -rf $PKG/usr/share/doc
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog README $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
AUTHORS COPYING ChangeLog README RELEASENOTES TODO \
$PKG/usr/doc/$PKGNAM-$VERSION
chmod 0644 $PKG/usr/doc/$PKGNAM-$VERSION/*
# Compress and link manpages, if any:
if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
for manpagedir in $(find . -type d -name "man*") ; do
( cd $manpagedir
for eachpage in $( find . -type l -maxdepth 1) ; do
ln -s $( readlink $eachpage ).gz $eachpage.gz
rm $eachpage
done
gzip -9 *.?
)
done
)
fi
# Compress info files, if any:
if [ -d $PKG/usr/info ]; then
( cd $PKG/usr/info
rm -f dir
gzip -9 *
)
fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
# Clean up the extra stuff:
if [ "$1" = "--cleanup" ]; then
rm -rf $TMP/$PKGNAM-$VERSION
rm -rf $PKG
fi
/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}

View file

@ -1,8 +1,10 @@
PRGNAM="stgit"
VERSION="0.14.3"
VERSION="0.15"
HOMEPAGE="http://procode.org/stgit/"
DOWNLOAD="http://homepage.ntlworld.com/cmarinas/stgit/stgit-0.14.3.tar.gz"
MD5SUM="84447155c0a86fae795928a581dc22bd"
DOWNLOAD="http://download.gna.org/stgit/stgit-0.15.tar.gz"
MD5SUM="a4721b2a5f529cf5450109f9fcb4db19"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Carlos Corbacho"
EMAIL="carlos@strangeworlds.co.uk"
APPROVED="rworkman"